MQService (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQService

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

    public interface MQService

extends LogicalElement, MQBase

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQSERVICE

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getControl()`
`java.lang.String` | `getName()` Name of the WebSphere MQ service definition (see Rules for naming WebSphere MQ objects).
`MQQueueManager` | `getQueueManager()`
`java.lang.String` | `getStartArgs()` STARTARG(string) Specifies the arguments to be passed to the user program at queue manager startup.
`java.lang.String` | `getStartCommand()` STARTCMD(string) Specifies the name of the program which is to run.
`java.lang.String` | `getStdErr()` STDERR(string) Specifies the path to a file to which the standard error (stderr) of the service program should be redirected.
`java.lang.String` | `getStdOut()` STDOUT(string) Specifies the path to a file to which the standard output (stdout) of the service program should be redirected.
`java.lang.String` | `getStopArgs()` STOPARG(string) Specifies the arguments to be passed to the stop program when instructed to stop the service.
`java.lang.String` | `getStopCommand()` STOPCMD(string) Specifies the name of the executable program to run when the service is requested to stop.
`java.lang.String` | `getType()` SERVTYPE - Specifies the mode in which the service is to run: COMMAND - A command service object.
`boolean` | `hasControl()`
`boolean` | `hasName()`
`boolean` | `hasQueueManager()`
`boolean` | `hasStartArgs()`
`boolean` | `hasStartCommand()`
`boolean` | `hasStdErr()`
`boolean` | `hasStdOut()`
`boolean` | `hasStopArgs()`
`boolean` | `hasStopCommand()`
`boolean` | `hasType()`
`void` | `setControl(int x)`
`void` | `setName(java.lang.String x)`
`void` | `setQueueManager(MQQueueManager x)`
`void` | `setStartArgs(java.lang.String x)`
`void` | `setStartCommand(java.lang.String x)`
`void` | `setStdErr(java.lang.String x)`
`void` | `setStdOut(java.lang.String x)`
`void` | `setStopArgs(java.lang.String x)`
`void` | `setStopCommand(java.lang.String x)`
`void` | `setType(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getStartCommand

    java.lang.String getStartCommand()
                                     throws AttributeNotSetException

  STARTCMD(string) Specifies the name of the program which is to run. You must specify a fully qualified path name to the executable program.

  Throws:
    `AttributeNotSetException`

### setStartCommand

    void setStartCommand(java.lang.String x)

### hasStartCommand

    boolean hasStartCommand()

### getStopCommand

    java.lang.String getStopCommand()
                                    throws AttributeNotSetException

  STOPCMD(string) Specifies the name of the executable program to run when the service is requested to stop. You must specify a fully qualified path name to the executable program.

  Throws:
    `AttributeNotSetException`

### setStopCommand

    void setStopCommand(java.lang.String x)

### hasStopCommand

    boolean hasStopCommand()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Name of the WebSphere MQ service definition (see Rules for naming WebSphere MQ objects). This is required. The name must not be the same as any other service definition currently defined on this queue manager

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getStdErr

    java.lang.String getStdErr()
                               throws AttributeNotSetException

  STDERR(string) Specifies the path to a file to which the standard error (stderr) of the service program should be redirected. If the file does not exist when the service program is started, the file is created. If this value is blank then any data written to stderr by the service program is discarded.

  Throws:
    `AttributeNotSetException`

### setStdErr

    void setStdErr(java.lang.String x)

### hasStdErr

    boolean hasStdErr()

### getStdOut

    java.lang.String getStdOut()
                               throws AttributeNotSetException

  STDOUT(string) Specifies the path to a file to which the standard output (stdout) of the service program should be redirected. If the file does not exist when the service program is started, the file is created. If this value is blank then any data written to stdout by the service program is discarded.

  Throws:
    `AttributeNotSetException`

### setStdOut

    void setStdOut(java.lang.String x)

### hasStdOut

    boolean hasStdOut()

### getControl

    int getControl()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setControl

    void setControl(int x)

### hasControl

    boolean hasControl()

### getStartArgs

    java.lang.String getStartArgs()
                                  throws AttributeNotSetException

  STARTARG(string) Specifies the arguments to be passed to the user program at queue manager startup.

  Throws:
    `AttributeNotSetException`

### setStartArgs

    void setStartArgs(java.lang.String x)

### hasStartArgs

    boolean hasStartArgs()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  SERVTYPE - Specifies the mode in which the service is to run: COMMAND - A command service object. Multiple instances of a command service object can be executed concurrently. You cannot monitor the status of command service objects. SERVER - A server service object. Only one instance of a server service object can be executed at a time. The status of server service objects can be monitored using the DISPLAY SVSTATUS command

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String x)

### hasType

    boolean hasType()

### getStopArgs

    java.lang.String getStopArgs()
                                 throws AttributeNotSetException

  STOPARG(string) Specifies the arguments to be passed to the stop program when instructed to stop the service.

  Throws:
    `AttributeNotSetException`

### setStopArgs

    void setStopArgs(java.lang.String x)

### hasStopArgs

    boolean hasStopArgs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD